## kde-runtime 4.10.0

=== debian/changelog ===
kde-runtime (4:4.10.0-0ubuntu1) raring-proposed; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 06 Feb 2013 11:35:44 +0000

kde-runtime (4:4.9.98-0ubuntu2) raring; urgency=low

  * Import kde-runtime-4.9.98-kde#310486.patch from fedora as
    kubuntu_kde-runtime-4.9.98-kde#310486.patch which reverts parts from 
    upstream commit deee161a42efda74965ca4aab7d79fb7fb375352 to work around
    kde bug #310486.

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 28 Jan 2013 14:15:34 +0100

kde-runtime (4:4.9.98-0ubuntu1) raring-proposed; urgency=low

  * Remove kde-runtime alternate recommend on libcanberra-gstreamer,
    libcanberra-gstreamer uses gstreamer1.0 which much of kde still uses
    gstreamer0.10
  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 18 Jan 2013 15:03:56 +0000

kde-runtime (4:4.9.97-0ubuntu1) raring; urgency=low

  * New upstream release candidate
    - drop kubuntu_fix_default_wallpaper.diff, applied upstream

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 Jan 2013 21:17:09 +0100

kde-runtime (4:4.9.95-0ubuntu3) raring; urgency=low

  * Add kubuntu_fix_default_wallpaper.diff to fix screenlocker and
    lightdm background

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 24 Dec 2012 17:02:46 +0530

kde-runtime (4:4.9.95-0ubuntu2) raring; urgency=low

  * kde-runtime breaks replaces kde-workspace-bin << 4:4.9.95 
    (overwrites plasmapkg)

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 23 Dec 2012 15:07:01 +0100

kde-runtime (4:4.9.95-0ubuntu1) raring; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Dec 2012 23:20:56 +0000

kde-runtime (4:4.9.90-0ubuntu1) raring-proposed; urgency=low

  * New upstream beta release
  * Update .install files

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Dec 2012 17:43:09 +0000

kde-runtime (4:4.9.80-0ubuntu1) raring; urgency=low

  [ Harald Sitter ]
  * Fix kubuntu_langpack_install.diff
    - Ensure xapian index is opened and created before searching (LP: #1074371)
      Also display a busy indicator overlay while working on the cache.
    - Map kde-l10n-* codes to kde's to language-pack-kde-* to make sure
      kdelibs can present a localized proper string for all languages and
      our install logic also installs packages where the ubuntu code is
      different (e.g. zhcn in kde-l10n is zh-hans in langpack)
    - Don't list installable languages which are already installed/selected
    - Disable the language selection UI while installing packages.
    - Use QLatin1String and QCharwhere appropriate
    - List languages based on kde-l10n-* rather than language-pack-kde-* as
      the logic with former is simpler and we know that the language has a
      reasonable quality from a KDE POV, while language-packs may be lingering
      around from when we used launchpad etc.
    - Add some kDebug to enable easier debugging when something goes wrong
    - Only issue qapt transactions (install) when we have something to install,
      otherwise leave qapt out of it entirely
    - Track qapt transaction errors and finishes as well as which language belongs
      to which transaction
      + Languages with a failed transaction are auto-deselected (e.g. the user
        did not authorize the transaction)
      + Only once all transactions are finished the selection UI is enabled again
      + Remaining packages marked for installation will be discareded once
        all transactions finished (if there are some left for whatever reason)
    - Prevent random crashes by only issuing language changes etc. once QAPT
      is done with all transactions

  [ Jonathan Riddell ]
  * New upstream beta release
  * Update .install files

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 19 Nov 2012 15:47:26 +0000

kde-runtime (4:4.9.3-0ubuntu1) raring; urgency=low

  [ Jonathan Thomas ]
  * Technically, consumers of libqapt need to declare a dependency on
    libqapt2-runtime if they use functionality that requires the QApt Worker.
    The kubuntu langpack patch makes use of the runtime components of LibQApt
    and needs such a dependency.

  [ Philip Muškovac ]
  * New upstream release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 06 Nov 2012 22:25:35 +0100

kde-runtime (4:4.9.2-0ubuntu3) raring-proposed; urgency=low

  * My kubuntu_langpack_install.diff changes from the last upload didn't
    seem to make it into bzr/the upload... Here they are, for real this time.

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 30 Oct 2012 15:18:52 -0400

kde-runtime (4:4.9.2-0ubuntu2) raring-proposed; urgency=low

  * Add kubuntu_shutup_shutup_shutup.diff to stop Attica-KDE from being so
    damn noisy, debug-wise.
  * Update kubuntu_langpack_install.diff:           
    - Port to QApt2. (New transaction API for installs)
    - Use the KDE proxy for downloading langpacks
    - Optimize QString usage, by using const QString functions to avoid
      deep copies.
    - Clean up pkg_depends parsing code a bit to make it readable. (Less
      nested brackets)
  * Make libqapt-dev build-depend (>= 1.9.60) for the above.

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 30 Oct 2012 14:24:01 -0400

kde-runtime (4:4.8.3-0r1) raring; urgency=low

  * New upstream release.

  [ Eshat Cakar ]
  * Add libqca2-dev to build dependecies.
  * Update not-installed files.
  * Update installed files.
  * Bump kdelibs5-dev build dependency to version 4:4.8.
  * Bump kde-sc-dev-latest build dependency to version 4:4.8.3.
  * Bump Standards-Version to 3.9.3, no changes needed.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 08 Mar 2012 20:54:47 +0100

kde-runtime (4:4.7.3-0ubuntu3) raring; urgency=low

  * Remove unused patch kubuntu_discard_actions_when_using_ayatana.diff
    equivalent functionality has been upstream for a while now

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 24 Nov 2011 14:30:54 +0000



=== debian/control ===
Source: kde-runtime
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>, Fathi Boudra <fabo@debian.org>,
 Modestas Vainius <modax@debian.org>, George Kiagiadakis <kiagiadakis.george@gmail.com>,
 José Manuel Santamaría Lema <panfaust@gmail.com>, Eshat Cakar <info@eshat.de>
Build-Depends: 
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.10.0), libphonon-dev (>= 4:4.6.0really4.4.3), kdelibs5-plugins (>= 4:4.9.2),
 libsmbclient-dev, libsoprano-dev (>= 2.6.50),
 libstreamanalyzer-dev (>= 0.6.3), libstrigiqtdbusclient-dev (>= 0.6.3),
 libopenexr-dev, libbz2-dev, libx11-dev, libxcursor-dev,
 libasound2-dev (>= 1.0.14a) [linux-any],
 libjpeg-dev, libslp-dev,
 liblzma-dev, libattica-dev (>= 0.4.1), libssh-dev (>= 0.4.0), libexiv2-dev (>= 0.12),
 libqca2-dev, shared-desktop-ontologies (>= 0.7),
 libntrack-qt4-dev [linux-any], libpulse-dev (>= 0.9.16), libcanberra-dev,
 libnm-util-dev (>= 0.7)  [linux-any], network-manager-dev (>= 0.7.0) [linux-any],
 libqtwebkit-dev, nepomuk-core-dev (>= 4:4.10.0), libkactivities-dev (>= 4:4.10.0), kdepimlibs5-dev, libqapt-dev (>= 1.9.60)
Standards-Version: 3.9.3
Homepage: http://www.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kde-runtime
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kde-runtime
X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kde-runtime.git
X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kde-runtime.git

Package: kde-runtime
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends},
 kde-runtime-data (>= ${source:Version}), ${sameVersionDep:kdelibs5-plugins:kde-runtime},
 oxygen-icon-theme (>= 4:4.9.2), nepomuk-core,
 shared-desktop-ontologies (>= 0.8), plasma-scriptengine-javascript (= ${binary:Version}),
 language-selector-common, libqapt2-runtime
Recommends: udisks, upower, virtuoso-minimal,
 kubuntu-debug-installer, icoutils,
 libcanberra-pulse
Suggests: djvulibre-bin, finger
Replaces: kdebase-runtime-bin-kde4,
 kdelibs5-plugins (<< 4:4.5), kdebase-workspace-bin (<< 4:4.6),
 kdebluetooth (<< 1.0~beta7-1), plasma-netbook (<< 4:4.5.95),
 kdelibs5 (<< 4:4.4.80), kdebase-runtime-data (<< 4:4.4.80),
 plasma-scriptengine-declarative, plasma-scriptengine-javascript (<< 4:4.6.80),
 kdebase-runtime (<< 4:4.6.80), nepomukcontroller,
 kde-workspace-bin (<< 4:4.9.95)
Breaks: kdebase-runtime-bin-kde4,
 kdelibs5-plugins (<< 4:4.5), kdebase-workspace-bin (<< 4:4.6),
 kdebluetooth (<< 1.0~beta7-1), plasma-netbook (<< 4:4.5.95),
 kdelibs5 (<< 4:4.4.80), kdebase-runtime-data (<< 4:4.4.80),
 plasma-scriptengine-declarative, plasma-scriptengine-javascript (<< 4:4.6.80),
 kdebase-runtime (<< 4:4.6.80), nepomukcontroller,
 kde-workspace-bin (<< 4:4.9.95)
Conflicts: kdelibs4-dev
Description: runtime components from the official KDE release
 KDE is produced by an international technology team that creates free and open
 source software for desktop and portable computing. Among KDE's products are a
 modern desktop system for Linux and UNIX platforms, comprehensive office
 productivity and groupware suites and hundreds of software titles in many
 categories including Internet and web applications, multimedia, entertainment,
 educational, graphics and software development.
 .
 This package contains programs and data needed at runtime by KDE applications.

Package: kdebase-runtime
Section: oldlibs
Architecture: all
Depends: ${misc:Depends}, kde-runtime
Description: Transitional package for the KDE runtime components
 KDE is produced by an international technology team that creates free and open
 source software for desktop and portable computing. Among KDE's products are a
 modern desktop system for Linux and UNIX platforms, comprehensive office
 productivity and groupware suites and hundreds of software titles in many
 categories including Internet and web applications, multimedia, entertainment,
 educational, graphics and software development.
 .
 This transitional package takes care of pulling in the new kde-runtime package
 and can safely be removed after installation.

Package: kde-runtime-data
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}
Replaces: kdebase-bin-kde3, kcontrol, kdebase-kio-plugins, kdebase-runtime-data-common,
 kdelibs5-data (<< 4:4.5), kdebase-workspace-bin (<< 4:4.5.95), plasma-netbook (<< 4:4.5.95),
 plasma-widget-networkmanagement (<< 0.1+git20110422.810bc16-1+),
 kdelibs5-dev (<< 4:4.5), plasma-scriptengine-declarative,
 plasma-scriptengine-javascript (<< 4:4.6.80), kdebase-runtime (<< 4:4.6.80),
 kdebase-runtime-data, nepomukcontroller, kde-runtime (<< 4:4.8.80)
Breaks: kdebase-bin-kde3, kcontrol, kdebase-kio-plugins, kdebase-runtime-data-common,
 kdelibs5-data (<< 4:4.5), kdebase-workspace-bin (<< 4:4.5.95), plasma-netbook (<< 4:4.5.95),
 plasma-widget-networkmanagement (<< 0.1+git20110422.810bc16-1+),
 kdelibs5-dev (<< 4:4.5), plasma-scriptengine-declarative,
 plasma-scriptengine-javascript (<< 4:4.6.80), kdebase-runtime (<< 4:4.6.80),
 kdebase-runtime-data, nepomukcontroller, kde-runtime (<< 4:4.8.80)
Description: shared data files for the KDE base runtime module
 This package contains the architecture-independent shared data files needed to
 run KDE applications.
 .
 This package is part of the KDE base runtime module.

Package: khelpcenter4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: khelpcenter
Breaks: khelpcenter
Description: help center
 The KDE Help Center displays documentation on how to use the KDE plasma
 workspaces and applications, as well as UNIX man and info pages.
 It can search through documentation using the 'htdig' package.
 .
 This package is part of the KDE base runtime module.

Package: plasma-scriptengine-javascript
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: JavaScript script engine for Plasma
 This package provides the JavaScript script engine for Plasma. You have to
 install it if you want to use Plasma widgets and data engines written in
 JavaScript.
 .
 This package is part of the KDE base runtime module.

Package: kde-runtime-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, kde-runtime (= ${binary:Version}), kdelibs5-dbg
Replaces: kdelibs5-dbg (<< 4:4.5), kdebase-workspace-dbg (<< 4:4.6),
 kdebase-runtime-dbg (<< 4:4.7.2)
Breaks: kdelibs5-dbg (<< 4:4.5), kdebase-workspace-dbg (<< 4:4.6),
 kdebase-runtime-dbg (<< 4:4.7.2)
Conflicts: kdelibs-dbg
Description: debugging symbols for KDE base runtime module
 This package contains the debugging symbols associated with kde-runtime.
 They will automatically be used by gdb for debugging kde-runtime related
 issues.

Package: kdebase-runtime-dbg
Section: oldlibs
Architecture: all
Priority: extra
Depends: ${misc:Depends}, kde-runtime-dbg
Description: transitional package for kde-runtime-dbg
 This is a dummy transitional package for kde-runtime-dbg and can be safely
 removed after the installation is complete.

## kde-runtime 4.10.2

=== debian/changelog ===
kde-runtime (4:4.10.2-0ubuntu3) raring; urgency=low

  * Make kubuntu_langpack_install.diff also set LANG and LANGUAGE.
    This is done via a kde environment script (sourced by startkde).
    kdesudo invoked applications as well as polkit actions and non-KDE
    applications require properly set LANG/LANGUAGE, otherwise they'll use
    the system default which is not intended. On that note, setting the
    language system-wide remains unsupported.

 -- Harald Sitter <apachelogger@kubuntu.org>  Wed, 17 Apr 2013 12:42:43 +0200

kde-runtime (4:4.10.2-0ubuntu2) raring; urgency=low

  * Add kubuntu_hide_nepomukcontroller.diff to hide nepomuk controller from
    the menu. We have the controller on autostart so this is redundant.
    For upstream 4.11 it is being entirely replaced by a plasma widget.

 -- Harald Sitter <apachelogger@kubuntu.org>  Fri, 12 Apr 2013 00:22:01 +0200

kde-runtime (4:4.10.2-0ubuntu1) raring; urgency=low

  [ Harald Sitter ]
  * In kubuntu_langpack_install.diff:
    Mark kcmlocale busyoverlay form title as not for translation.

  [ Philip Muškovac ]
  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 31 Mar 2013 14:40:34 +0200

kde-runtime (4:4.10.1-0ubuntu1) raring-proposed; urgency=low

  * New upstream bugfix release
  * Set priority of kdebase-runtime to extra

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 05 Mar 2013 15:24:34 +0000

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  José Manuel Santamaría Lema <panfaust@gmail.com>, Eshat Cakar <info@eshat.de>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.10.0), libphonon-dev (>= 4:4.6.0really4.4.3), kdelibs5-plugins (>= 4:4.9.2),
+ kdelibs5-dev (>= 4:4.10.2), libphonon-dev (>= 4:4.6.0really4.4.3), kdelibs5-plugins (>= 4:4.9.2),
  libsmbclient-dev, libsoprano-dev (>= 2.6.50),
  libstreamanalyzer-dev (>= 0.6.3), libstrigiqtdbusclient-dev (>= 0.6.3),
  libopenexr-dev, libbz2-dev, libx11-dev, libxcursor-dev,
@@ -18,7 +18,7 @@
  libqca2-dev, shared-desktop-ontologies (>= 0.7),
  libntrack-qt4-dev [linux-any], libpulse-dev (>= 0.9.16), libcanberra-dev,
  libnm-util-dev (>= 0.7)  [linux-any], network-manager-dev (>= 0.7.0) [linux-any],
- libqtwebkit-dev, nepomuk-core-dev (>= 4:4.10.0), libkactivities-dev (>= 4:4.10.0), kdepimlibs5-dev, libqapt-dev (>= 1.9.60)
+ libqtwebkit-dev, nepomuk-core-dev (>= 4:4.10.2), libkactivities-dev (>= 4:4.10.2), kdepimlibs5-dev, libqapt-dev (>= 1.9.60)
 Standards-Version: 3.9.3
 Homepage: http://www.kde.org/
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kde-runtime
@@ -64,6 +64,7 @@
 
 Package: kdebase-runtime
 Section: oldlibs
+Priority: extra
 Architecture: all
 Depends: ${misc:Depends}, kde-runtime
 Description: Transitional package for the KDE runtime components

## kde-runtime 4.10.5

=== debian/changelog ===
kde-runtime (4:4.10.5-0ubuntu0.1) raring; urgency=low

  * New upstream bugfix release (LP: #1196090)

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 10 Jul 2013 22:38:45 +0200

kde-runtime (4:4.10.4-0ubuntu0.1) raring-proposed; urgency=low

  * New upstream bugfix release (LP: #1187574)

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 20 Jun 2013 04:23:36 +0200

kde-runtime (4:4.10.3-0ubuntu0.1~ubuntu13.04) raring-proposed; urgency=low

  [ Philip Muškovac ]
  * New upstream bugfix release (LP: #1176358)

  [ Jonathan Riddell ]
  * Add upstream patches to restore old Kubuntu kwallet behaviour
    kubuntu_silence_kwallet_on_first_start.patch (Add a config
    option to silently create the initial wallet) and
    kubuntu_silence_kwallet_per_app.patch from upstream (Make the
    prompt-on-open config option apply to all accesses)

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 04 May 2013 18:05:51 +0200

kde-runtime (4:4.10.2-0ubuntu3) raring-proposed; urgency=low

  * Make kubuntu_langpack_install.diff also set LANG and LANGUAGE.
    This is done via a kde environment script (sourced by startkde).
    kdesudo invoked applications as well as polkit actions and non-KDE
    applications require properly set LANG/LANGUAGE, otherwise they'll use
    the system default which is not intended. On that note, setting the
    language system-wide remains unsupported.

 -- Harald Sitter <apachelogger@kubuntu.org>  Wed, 17 Apr 2013 12:42:43 +0200

kde-runtime (4:4.10.2-0ubuntu2) raring-proposed; urgency=low

  * Add kubuntu_hide_nepomukcontroller.diff to hide nepomuk controller from
    the menu. We have the controller on autostart so this is redundant.
    For upstream 4.11 it is being entirely replaced by a plasma widget.

 -- Harald Sitter <apachelogger@kubuntu.org>  Fri, 12 Apr 2013 00:22:01 +0200

kde-runtime (4:4.10.2-0ubuntu1) raring-proposed; urgency=low

  [ Harald Sitter ]
  * In kubuntu_langpack_install.diff:
    Mark kcmlocale busyoverlay form title as not for translation.

  [ Philip Muškovac ]
  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 31 Mar 2013 14:40:34 +0200

kde-runtime (4:4.10.1-0ubuntu1) raring-proposed-proposed; urgency=low

  * New upstream bugfix release
  * Set priority of kdebase-runtime to extra

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 05 Mar 2013 15:24:34 +0000

kde-runtime (4:4.10.0-0ubuntu1) raring-proposed-proposed; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 06 Feb 2013 11:35:44 +0000

kde-runtime (4:4.9.98-0ubuntu2) raring-proposed; urgency=low

  * Import kde-runtime-4.9.98-kde#310486.patch from fedora as
    kubuntu_kde-runtime-4.9.98-kde#310486.patch which reverts parts from 
    upstream commit deee161a42efda74965ca4aab7d79fb7fb375352 to work around
    kde bug #310486.

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 28 Jan 2013 14:15:34 +0100

kde-runtime (4:4.9.98-0ubuntu1) raring-proposed-proposed; urgency=low

  * Remove kde-runtime alternate recommend on libcanberra-gstreamer,
    libcanberra-gstreamer uses gstreamer1.0 which much of kde still uses
    gstreamer0.10
  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 18 Jan 2013 15:03:56 +0000

kde-runtime (4:4.9.97-0ubuntu1) raring-proposed; urgency=low

  * New upstream release candidate
    - drop kubuntu_fix_default_wallpaper.diff, applied upstream

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 Jan 2013 21:17:09 +0100

kde-runtime (4:4.9.95-0ubuntu3) raring-proposed; urgency=low

  * Add kubuntu_fix_default_wallpaper.diff to fix screenlocker and
    lightdm background

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 24 Dec 2012 17:02:46 +0530

kde-runtime (4:4.9.95-0ubuntu2) raring-proposed; urgency=low

  * kde-runtime breaks replaces kde-workspace-bin << 4:4.9.95 
    (overwrites plasmapkg)

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 23 Dec 2012 15:07:01 +0100

kde-runtime (4:4.9.95-0ubuntu1) raring-proposed; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Dec 2012 23:20:56 +0000

kde-runtime (4:4.9.90-0ubuntu1) raring-proposed-proposed; urgency=low

  * New upstream beta release
  * Update .install files

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Dec 2012 17:43:09 +0000

kde-runtime (4:4.9.80-0ubuntu1) raring-proposed; urgency=low

  [ Harald Sitter ]
  * Fix kubuntu_langpack_install.diff
    - Ensure xapian index is opened and created before searching (LP: #1074371)
      Also display a busy indicator overlay while working on the cache.
    - Map kde-l10n-* codes to kde's to language-pack-kde-* to make sure
      kdelibs can present a localized proper string for all languages and
      our install logic also installs packages where the ubuntu code is
      different (e.g. zhcn in kde-l10n is zh-hans in langpack)
    - Don't list installable languages which are already installed/selected
    - Disable the language selection UI while installing packages.
    - Use QLatin1String and QCharwhere appropriate
    - List languages based on kde-l10n-* rather than language-pack-kde-* as
      the logic with former is simpler and we know that the language has a
      reasonable quality from a KDE POV, while language-packs may be lingering
      around from when we used launchpad etc.
    - Add some kDebug to enable easier debugging when something goes wrong
    - Only issue qapt transactions (install) when we have something to install,
      otherwise leave qapt out of it entirely
    - Track qapt transaction errors and finishes as well as which language belongs
      to which transaction
      + Languages with a failed transaction are auto-deselected (e.g. the user
        did not authorize the transaction)
      + Only once all transactions are finished the selection UI is enabled again
      + Remaining packages marked for installation will be discareded once
        all transactions finished (if there are some left for whatever reason)


=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  José Manuel Santamaría Lema <panfaust@gmail.com>, Eshat Cakar <info@eshat.de>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.10.2), libphonon-dev (>= 4:4.6.0really4.4.3), kdelibs5-plugins (>= 4:4.9.2),
+ kdelibs5-dev (>= 4:4.10.5), libphonon-dev (>= 4:4.6.0really4.4.3), kdelibs5-plugins (>= 4:4.9.2),
  libsmbclient-dev, libsoprano-dev (>= 2.6.50),
  libstreamanalyzer-dev (>= 0.6.3), libstrigiqtdbusclient-dev (>= 0.6.3),
  libopenexr-dev, libbz2-dev, libx11-dev, libxcursor-dev,
@@ -18,7 +18,7 @@
  libqca2-dev, shared-desktop-ontologies (>= 0.7),
  libntrack-qt4-dev [linux-any], libpulse-dev (>= 0.9.16), libcanberra-dev,
  libnm-util-dev (>= 0.7)  [linux-any], network-manager-dev (>= 0.7.0) [linux-any],
- libqtwebkit-dev, nepomuk-core-dev (>= 4:4.10.2), libkactivities-dev (>= 4:4.10.2), kdepimlibs5-dev, libqapt-dev (>= 1.9.60)
+ libqtwebkit-dev, nepomuk-core-dev (>= 4:4.10.5), libkactivities-dev (>= 4:4.10.5), kdepimlibs5-dev, libqapt-dev (>= 1.9.60)
 Standards-Version: 3.9.3
 Homepage: http://www.kde.org/
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kde-runtime

## kde-runtime 4.11.2

=== kwalletd/CMakeLists.txt ===
project(kwalletd)

add_subdirectory(backend)

########### kwalletd ###############

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/backend)

add_definitions(-DKDE_DEFAULT_DEBUG_AREA=285)

set(kwalletd_KDEINIT_SRCS
   main.cpp
   kbetterthankdialog.cpp
   kwalletd.cpp
   kwalletwizard.cpp
   ktimeout.cpp
   kwalletsessionstore.cpp
)


kde4_add_ui_files(kwalletd_KDEINIT_SRCS
   kbetterthankdialogbase.ui
   kwalletwizardpageexplanation.ui
   kwalletwizardpageintro.ui
   kwalletwizardpageoptions.ui
   kwalletwizardpagepassword.ui
)

find_file(kwallet_xml org.kde.KWallet.xml HINTS ${KDE4_DBUS_INTERFACES_DIR} )

qt4_add_dbus_adaptor( kwalletd_KDEINIT_SRCS ${kwallet_xml} kwalletd.h KWalletD )

kde4_add_kdeinit_executable( kwalletd NOGUI ${kwalletd_KDEINIT_SRCS} )

target_link_libraries(kdeinit_kwalletd  ${KDE4_KDEUI_LIBS} kwalletbackend )
install(TARGETS kdeinit_kwalletd  ${INSTALL_TARGETS_DEFAULT_ARGS})

target_link_libraries(kwalletd kdeinit_kwalletd)
install(TARGETS kwalletd  ${INSTALL_TARGETS_DEFAULT_ARGS} )

########### install files ###############

install( FILES kwalletd.desktop  DESTINATION  ${SERVICES_INSTALL_DIR} )
install( FILES kwalletd.notifyrc DESTINATION  ${DATA_INSTALL_DIR}/kwalletd )

add_subdirectory(tests)

=== debian/changelog ===
kde-runtime (4:4.11.2-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Sep 2013 14:04:51 +0100

kde-runtime (4:4.11.1-0ubuntu2) saucy; urgency=low

  * Import be1a5d484c70f4f6a383150810afbfbb367db2ac 
    from upstream to fix regressions related to
    ignored events in the event handler.

 -- Howard Chan <smartboyhw@gmail.com>  Sat, 07 Sep 2013 18:28:38 +0800

kde-runtime (4:4.11.1-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release.

 -- Howard Chan <smartboyhw@gmail.com>  Fri, 06 Sep 2013 22:10:16 +0100

kde-runtime (4:4.11.0-0ubuntu2) saucy; urgency=low

  * Recommend udisks2 instead of udisks now that kdelibs builds the udisks2
    backend 

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 16 Aug 2013 02:33:50 +0200

kde-runtime (4:4.11.0-0ubuntu1) saucy; urgency=low

  [ Howard Chan ]
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Aug 2013 00:05:23 +0100

kde-runtime (4:4.10.97-0ubuntu1) saucy; urgency=low

  * New upstream RC 2 release
  * New upstream RC 2 release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 26 Jul 2013 19:13:17 +0100

kde-runtime (4:4.10.95-0ubuntu1) saucy; urgency=low

  * New upstream RC release 
    - Drop kubuntu_phonon_forget_option.diff as that's now fixed upstream
    - Drop kubuntu_silence_kwallet_per_app.patch, applied upstream
    - Add documentation files to kde-runtime-data

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 16 Jul 2013 19:14:15 +0200

kde-runtime (4:4.10.90-0ubuntu2) saucy; urgency=low

  * Update kubuntu_langpack_install.diff now by default select the
    system language if installed and no other language is explicitly selected.

 -- Harald Sitter <apachelogger@kubuntu.org>  Wed, 17 Jul 2013 16:13:40 +0200

kde-runtime (4:4.10.90-0ubuntu1) saucy; urgency=low

  * New upstream bet release

 -- Michał Zając <quintasan@kubuntu.org>  Fri, 28 Jun 2013 18:04:21 +0100

kde-runtime (4:4.10.80-0ubuntu1) saucy; urgency=low

  [ Rohan Garg ]
  * New upstream release
    - Adjust install files
    - Re work kubuntu_oxygenify_knetattach_icon.diff,
      kubuntu_oxygenify_knetattach_icon.diff so that they apply
    - Drop kubuntu_hide_nepomukcontroller.diff
    - Breaks/Replaces plasma-active ( << 3.0-0ubuntu2) since
      libdirmodelplugin.so was moved to kde-runtime

  [ Philip Muškovac ]
  * Bump Breaks/Replaces for the 4.10.3 debian merge to << 4:4.10.80 to catch
    upgrades.

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 21 Jun 2013 00:55:53 +0100

kde-runtime (4:4.10.4-0ubuntu1) saucy-proposed; urgency=low

  [ Jonathan Riddell ]
  * drop icoutils from suggests, it's recommended

  [ Rohan Garg ]
  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 06 Jun 2013 23:41:24 +0100

kde-runtime (4:4.10.3-0ubuntu3) saucy; urgency=low

  * Remove conflicting libplasmacomponentsplugin.so from
    kde-runtime-data.install, it's shipped in kde-runtime, and add
    breaks/replaces

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 25 May 2013 14:51:51 +0200

kde-runtime (4:4.10.3-0ubuntu2) saucy; urgency=low

  * khelpcenter4 breaks/replaces kde-runtime-data << 4:4.10.3-0ubuntu2~ 
  * Remove plasmapkg manpage from kde-runtime.manpages, it's shipped in
    kde-runtime-data and add breaks/replaces
    (LP: #1184127)

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 25 May 2013 14:27:08 +0200

kde-runtime (4:4.10.3-0ubuntu1) saucy; urgency=low

  * New upstream release
  * Merge from Debian, remaining changes:
   - Add patches
    - kubuntu_hide_nepomukcontroller.diff
    - kubuntu_kde-runtime-4.9.98-kde#310486.patch
    - kubuntu_langpack_install.diff
    - kubuntu_nodisplay_knetattach.diff
    - kubuntu_oxygenify_knetattach_icon.diff
    - kubuntu_phonon_forget_option.diff
    - kubuntu_shutup_shutup_shutup.diff
    - add kde-runtime.[postinst,prerm] for update-alternatives kdesu
    - debian/control:
     + Add build-dep on libqapt-dev
     + kde-runtime depends on language-selector-common, libqapt2-runtime
     + add udisks, upower, kubuntu-debug-installer, icoutils,
       libcanberra-pulse | libcanberra-gstreamer to kde-runtime recommends
     + helpcenter4 no recommend on htdig
     + keep Break/Replaces
    - debian/patches:
      + remove kde4_information_menu.diff
      + add:
        - kubuntu_nodisplay_knetattach.diff
        - kubuntu_oxygenify_knetattach_icon.diff
        - kubuntu_phonon_forget_option.diff
        - kubuntu_strigi_ram_detection.diff
    - debian/kde-runtime-data.install:
      + change etc/xdg/menus/kde4-information.menu to
        etc/xdg/menus/kde-information.menu
      + change usr/share/desktop-directories/kde4-information.directory to
        usr/share/desktop-directories/kde-information.directory
      + Don't install
        usr/share/kde4/apps/kio_desktop/DesktopLinks/Home.desktop
      + Don't install usr/share/kde4/apps/kio_desktop/directory.trash
      + install plasma active QML components and remove from not-installed
    - debian/kde-runtime.install
      + install usr/lib/kde4/libexec/kdesu to
        /usr/lib/kde4/libexec/kdesu-distrib/
      + install 30-nepomuk-inotify-limit.conf to /etc/sysctl.d
    - add 30-nepomuk-inotify-limit.conf
    - update not-installed for Kubuntu
  * Add upstream patches to restore old Kubuntu kwallet behaviour
    kubuntu_silence_kwallet_on_first_start.patch (Add a config
    option to silently create the initial wallet) and
    kubuntu_silence_kwallet_per_app.patch from upstream (Make the
    prompt-on-open config option apply to all accesses)

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 23 May 2013 11:04:35 +0000

kde-runtime (4:4.10.2-2) experimental; urgency=low

  [ Pino Toscano ]
  * Make kde-runtime-data breaks/replaces kde-workspace-bin < 4:4.10, since
    plasmapkg.1.gz was moved.

  [ Sune Vuorela ]


=== debian/control ===
--- 
+++ 
@@ -3,22 +3,29 @@
 Priority: optional
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Sune Vuorela <sune@debian.org>, Fathi Boudra <fabo@debian.org>,
- Modestas Vainius <modax@debian.org>, George Kiagiadakis <kiagiadakis.george@gmail.com>,
- José Manuel Santamaría Lema <panfaust@gmail.com>, Eshat Cakar <info@eshat.de>
-Build-Depends: 
+Uploaders: Sune Vuorela <sune@debian.org>,
+ Fathi Boudra <fabo@debian.org>,
+ Modestas Vainius <modax@debian.org>,
+ George Kiagiadakis <kiagiadakis.george@gmail.com>,
+ José Manuel Santamaría Lema <panfaust@gmail.com>,
+ Eshat Cakar <info@eshat.de>,
+ Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
+Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.10.5), libphonon-dev (>= 4:4.6.0really4.4.3), kdelibs5-plugins (>= 4:4.9.2),
+ kdepimlibs5-dev (>= 4:4.11.2), libkactivities-dev (>= 4:4.11.2),
+ nepomuk-core-dev (>= 4:4.11.2), nepomuk-core-runtime (>= 4:4.10),
+ libphonon-dev (>= 4:4.6.0really4.4.3),
  libsmbclient-dev, libsoprano-dev (>= 2.6.50),
  libstreamanalyzer-dev (>= 0.6.3), libstrigiqtdbusclient-dev (>= 0.6.3),
  libopenexr-dev, libbz2-dev, libx11-dev, libxcursor-dev,
  libasound2-dev (>= 1.0.14a) [linux-any],
  libjpeg-dev, libslp-dev,
- liblzma-dev, libattica-dev (>= 0.4.1), libssh-dev (>= 0.4.0), libexiv2-dev (>= 0.12),
- libqca2-dev, shared-desktop-ontologies (>= 0.7),
+ liblzma-dev, libattica-dev (>= 0.1.4), libssh-dev (>= 0.4.0), libexiv2-dev (>= 0.12),
+ libqca2-dev,shared-desktop-ontologies (>= 0.7),
  libntrack-qt4-dev [linux-any], libpulse-dev (>= 0.9.16), libcanberra-dev,
  libnm-util-dev (>= 0.7)  [linux-any], network-manager-dev (>= 0.7.0) [linux-any],
- libqtwebkit-dev, nepomuk-core-dev (>= 4:4.10.5), libkactivities-dev (>= 4:4.10.5), kdepimlibs5-dev, libqapt-dev (>= 1.9.60)
+ libqtwebkit-dev, libqzeitgeist-dev, shared-mime-info,
+ libqapt-dev (>= 1.9.60)
 Standards-Version: 3.9.3
 Homepage: http://www.kde.org/
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kde-runtime
@@ -29,28 +36,31 @@
 Package: kde-runtime
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends},
- kde-runtime-data (>= ${source:Version}), ${sameVersionDep:kdelibs5-plugins:kde-runtime},
- oxygen-icon-theme (>= 4:4.9.2), nepomuk-core,
+ kde-runtime-data (>= ${source:Version}), kdelibs5-plugins (>= ${source:Upstream-Version}),
+ ${sameVersionDep:nepomuk-core-runtime:kde-runtime},
+ oxygen-icon-theme (>= 4:4.6),
  shared-desktop-ontologies (>= 0.8), plasma-scriptengine-javascript (= ${binary:Version}),
  language-selector-common, libqapt2-runtime
-Recommends: udisks, upower, virtuoso-minimal,
- kubuntu-debug-installer, icoutils,
+Recommends: virtuoso-minimal,
+ udisks2, upower, kubuntu-debug-installer, icoutils,
  libcanberra-pulse
 Suggests: djvulibre-bin, finger
 Replaces: kdebase-runtime-bin-kde4,
  kdelibs5-plugins (<< 4:4.5), kdebase-workspace-bin (<< 4:4.6),
  kdebluetooth (<< 1.0~beta7-1), plasma-netbook (<< 4:4.5.95),
- kdelibs5 (<< 4:4.4.80), kdebase-runtime-data (<< 4:4.4.80),
+ kdebase-runtime (<< 4:4.7.2),
  plasma-scriptengine-declarative, plasma-scriptengine-javascript (<< 4:4.6.80),
  kdebase-runtime (<< 4:4.6.80), nepomukcontroller,
- kde-workspace-bin (<< 4:4.9.95)
+ kde-workspace-bin (<< 4:4.9.95), kde-runtime-data (<< 4:4.10.80),
+ plasma-active (<< 3.0-0ubuntu2~)
 Breaks: kdebase-runtime-bin-kde4,
  kdelibs5-plugins (<< 4:4.5), kdebase-workspace-bin (<< 4:4.6),
  kdebluetooth (<< 1.0~beta7-1), plasma-netbook (<< 4:4.5.95),
- kdelibs5 (<< 4:4.4.80), kdebase-runtime-data (<< 4:4.4.80),
+ kdebase-runtime (<< 4:4.7.2),
  plasma-scriptengine-declarative, plasma-scriptengine-javascript (<< 4:4.6.80),
  kdebase-runtime (<< 4:4.6.80), nepomukcontroller,
- kde-workspace-bin (<< 4:4.9.95)
+ kde-workspace-bin (<< 4:4.9.95), kde-runtime-data (<< 4:4.10.80),
+ plasma-active ( << 3.0-0ubuntu2~)
 Conflicts: kdelibs4-dev
 Description: runtime components from the official KDE release
  KDE is produced by an international technology team that creates free and open
@@ -84,15 +94,17 @@
 Replaces: kdebase-bin-kde3, kcontrol, kdebase-kio-plugins, kdebase-runtime-data-common,
  kdelibs5-data (<< 4:4.5), kdebase-workspace-bin (<< 4:4.5.95), plasma-netbook (<< 4:4.5.95),
  plasma-widget-networkmanagement (<< 0.1+git20110422.810bc16-1+),
+ kdebase-runtime-data (<< 4:4.7.2), kde-workspace-bin (<< 4:4.10),
  kdelibs5-dev (<< 4:4.5), plasma-scriptengine-declarative,
  plasma-scriptengine-javascript (<< 4:4.6.80), kdebase-runtime (<< 4:4.6.80),
- kdebase-runtime-data, nepomukcontroller, kde-runtime (<< 4:4.8.80)
+ kdebase-runtime-data, nepomukcontroller, kde-runtime (<< 4:4.10.80)
 Breaks: kdebase-bin-kde3, kcontrol, kdebase-kio-plugins, kdebase-runtime-data-common,
  kdelibs5-data (<< 4:4.5), kdebase-workspace-bin (<< 4:4.5.95), plasma-netbook (<< 4:4.5.95),
  plasma-widget-networkmanagement (<< 0.1+git20110422.810bc16-1+),
+ kdebase-runtime-data (<< 4:4.7.2), kde-workspace-bin (<< 4:4.10),
  kdelibs5-dev (<< 4:4.5), plasma-scriptengine-declarative,
  plasma-scriptengine-javascript (<< 4:4.6.80), kdebase-runtime (<< 4:4.6.80),
- kdebase-runtime-data, nepomukcontroller, kde-runtime (<< 4:4.8.80)
+ kdebase-runtime-data, nepomukcontroller, kde-runtime (<< 4:4.10.80)
 Description: shared data files for the KDE base runtime module
  This package contains the architecture-independent shared data files needed to
  run KDE applications.
@@ -102,8 +114,8 @@
 Package: khelpcenter4
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: khelpcenter
-Breaks: khelpcenter
+Replaces: khelpcenter, kde-runtime-data (<< 4:4.10.80)
+Breaks: khelpcenter, kde-runtime-data (<< 4:4.10.80)
 Description: help center
  The KDE Help Center displays documentation on how to use the KDE plasma
  workspaces and applications, as well as UNIX man and info pages.

## kde-runtime 4.11.5

=== debian/changelog ===
kde-runtime (4:4.11.5-0ubuntu0.1) saucy; urgency=medium

  * New upstream bugfix release (LP: #1266285)

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 16 Jan 2014 14:30:52 +0100

kde-runtime (4:4.11.3-0ubuntu0.1) saucy; urgency=low

  * New upstream bugfix release (LP: #1247235)

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 29 Nov 2013 15:43:03 +0000

=== debian/control ===
--- 
+++ 
@@ -12,8 +12,8 @@
  Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdepimlibs5-dev (>= 4:4.11.2), libkactivities-dev (>= 4:4.11.2),
- nepomuk-core-dev (>= 4:4.11.2), nepomuk-core-runtime (>= 4:4.10),
+ kdepimlibs5-dev (>= 4:4.11.5), libkactivities-dev (>= 4:4.11.3),
+ nepomuk-core-dev (>= 4:4.11.5), nepomuk-core-runtime (>= 4:4.10),
  libphonon-dev (>= 4:4.6.0really4.4.3),
  libsmbclient-dev, libsoprano-dev (>= 2.6.50),
  libstreamanalyzer-dev (>= 0.6.3), libstrigiqtdbusclient-dev (>= 0.6.3),
@@ -28,8 +28,8 @@
  libqapt-dev (>= 1.9.60)
 Standards-Version: 3.9.3
 Homepage: http://www.kde.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kde-runtime
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kde-runtime
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kde-runtime-13.10
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kde-runtime-13.10
 X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kde-runtime.git
 X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kde-runtime.git

## kde-runtime 4.12.3

=== debian/changelog ===
kde-runtime (4:4.12.3-0ubuntu1~ubuntu12.04.4~ppa2+kxstudio1) precise; urgency=medium

  * Force KDE device removal, don't ask user
  * Build without pulseaudio

 -- falkTX <falktx@gmail.com>  Mon, 10 Mar 2014 23:08:52 +0000

kde-runtime (4:4.12.3-0ubuntu1~ubuntu12.04.4~ppa2) precise; urgency=low

  * precise backport

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 06 Mar 2014 15:33:30 +0100

kde-runtime (4:4.12.3-0ubuntu1~ubuntu14.04~ppa1) trusty; urgency=medium

  [ Rohan Garg ]
  * Drop kubuntu_kde-runtime-4.9.98-kde#310486.patch, KDE Workspace
    will only have bug fix releases, hence this patch is not required

  [ Harald Sitter ]
  * Dep3 for kubuntu_drkonqi_whoopsie_integration.patch

  [ Rohan Garg ]
  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 28 Feb 2014 20:36:03 +0100

kde-runtime (4:4.12.2-0ubuntu2) trusty; urgency=medium

  * Update kubuntu_langpack_install.diff for 4.12.2 from 
    git@git.kde.org:clones/kde-runtime/sitter/kubuntu
    + Also port to libkubuntu, cutting the patch in half.
    + This is part of the ongoing movement towards upstreaming this patch.
  * Drop libqapt-dev as build dependency
  * Add libkubuntu-dev as build dependency

 -- Harald Sitter <apachelogger@kubuntu.org>  Mon, 10 Feb 2014 12:41:19 +0100

kde-runtime (4:4.12.2-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Feb 2014 23:53:39 +0000

kde-runtime (4:4.12.1-0ubuntu2) trusty; urgency=medium

  * No-change rebuild for libwebp transition

 -- Iain Lane <iain.lane@canonical.com>  Mon, 20 Jan 2014 12:18:16 +0000

kde-runtime (4:4.12.1-0ubuntu1) trusty; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 16 Jan 2014 08:11:50 +0000

kde-runtime (4:4.12.0-0ubuntu1) trusty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Dec 2013 16:52:30 +0000

kde-runtime (4:4.11.97-0ubuntu2) trusty; urgency=low

  * Add kubuntu_drkonqi_whoopsie_integration.patch (whoopsie-integration-set).
    This patch adds a checkbox to drkonqi which allows automatic submission
    of crash reports via whoopsie to errors.ubuntu.com.
    The checkbox is only shown when whoopsie reporting is enabled.
    When the checkbox is checked on exit a special stamp file is written to
    /var/crash/$app.$uid.drkonqi-accept indicating that KCrash (kdelibs) needs
    to re-raise the signal to the native handlers such that apport gets
    invoked to create an apport report *and* that the resulting report
    may be uploaded by kubuntu-notification-helper (watching /var/crash/)
    without going through apport-kde to ask for permission.

 -- Harald Sitter <apachelogger@kubuntu.org>  Thu, 12 Dec 2013 12:39:34 +0100

kde-runtime (4:4.11.97-0ubuntu1) trusty; urgency=low

  [ Jonathan Riddell ]
  * New upstream RC release

  [ Rohan Garg ]
  * Drop kubuntu_oxygenify_knetattach_icon.diff, oxygen-icons now install
    a knetattach icon making this patch useless
  * Drop kubuntu_silence_kwallet_on_first_start.patch , Alex is going to write
    another patch for KDE 4.12 which makes PAM authentication possible.

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 29 Nov 2013 12:50:21 +0000

kde-runtime (4:4.11.95-0ubuntu1) trusty; urgency=low

  * New upstream beta release
  * Add rebased kubuntu_silence_kwallet_on_first_start.patch

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 25 Nov 2013 17:59:00 +0100

kde-runtime (4:4.11.80-0ubuntu1) trusty; urgency=low

  [ Rohan Garg ]
  * New upstream beta release
    - Drop kubuntu_silence_kwallet_on_first_start.patch, applied upstream
  * Update install files
  * Add dependency on boost 1.54

  [ Jonathan Riddell ]
  * Add build-dep on libwebp-dev for random kimgio plugin for webp (it
    gives no notice with cmake config) and install new files

 -- Rohan Garg <rohangarg@kubuntu.org>  Sat, 23 Nov 2013 17:37:46 +0100

=== debian/control ===
--- 
+++ 
@@ -12,8 +12,8 @@
  Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdepimlibs5-dev (>= 4:4.11.5), libkactivities-dev (>= 4:4.11.3),
- nepomuk-core-dev (>= 4:4.11.5), nepomuk-core-runtime (>= 4:4.10),
+ kdepimlibs5-dev (>= 4:4.12.3), libkactivities-dev (>= 4:4.12.3),
+ nepomuk-core-dev (>= 4:4.12.3), nepomuk-core-runtime (>= 4:4.10),
  libphonon-dev (>= 4:4.6.0really4.4.3),
  libsmbclient-dev, libsoprano-dev (>= 2.6.50),
  libstreamanalyzer-dev (>= 0.6.3), libstrigiqtdbusclient-dev (>= 0.6.3),
@@ -22,14 +22,14 @@
  libjpeg-dev, libslp-dev,
  liblzma-dev, libattica-dev (>= 0.1.4), libssh-dev (>= 0.4.0), libexiv2-dev (>= 0.12),
  libqca2-dev,shared-desktop-ontologies (>= 0.7),
- libntrack-qt4-dev [linux-any], libpulse-dev (>= 0.9.16), libcanberra-dev,
+ libntrack-qt4-dev [linux-any], libcanberra-dev, x11proto-core-dev, libxt-dev, libglib2.0-dev, libavahi-client-dev,
  libnm-util-dev (>= 0.7)  [linux-any], network-manager-dev (>= 0.7.0) [linux-any],
  libqtwebkit-dev, libqzeitgeist-dev, shared-mime-info,
- libqapt-dev (>= 1.9.60)
+ libwebp-dev, libboost1.48-dev
 Standards-Version: 3.9.3
 Homepage: http://www.kde.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kde-runtime-13.10
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kde-runtime-13.10
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kde-runtime
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kde-runtime
 X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kde-runtime.git
 X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kde-runtime.git
 
@@ -40,10 +40,9 @@
  ${sameVersionDep:nepomuk-core-runtime:kde-runtime},
  oxygen-icon-theme (>= 4:4.6),
  shared-desktop-ontologies (>= 0.8), plasma-scriptengine-javascript (= ${binary:Version}),
- language-selector-common, libqapt2-runtime
 Recommends: virtuoso-minimal,
  udisks2, upower, kubuntu-debug-installer, icoutils,
- libcanberra-pulse
+ libcanberra-gstreamer
 Suggests: djvulibre-bin, finger
 Replaces: kdebase-runtime-bin-kde4,
  kdelibs5-plugins (<< 4:4.5), kdebase-workspace-bin (<< 4:4.6),
